Skip to main content
GET
/
deposits
/
{id}
/
quotes
List candidate quotes considered for a deposit
curl --request GET \
  --url https://v1.orchestrator.rhinestone.dev/deposit-processor/deposits/{id}/quotes \
  --header 'x-api-key: <x-api-key>'
{
  "count": 123,
  "items": [
    {
      "intentId": "<string>",
      "settlementLayer": "<string>",
      "bridgeProvider": "<string>",
      "rank": 123,
      "errorCode": "<string>",
      "errorMessage": "<string>",
      "attemptedAt": "<string>",
      "completedAt": "<string>",
      "createdAt": "<string>",
      "quote": null
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.rhinestone.dev/llms.txt

Use this file to discover all available pages before exploring further.

Headers

x-api-key
string
required

API key for authentication

Example:

"your-api-key"

Path Parameters

id
string
required

Deposit id. Returned by GET /deposits.

Pattern: ^\d+$
Example:

"12345"

Response

Quotes considered for the deposit

count
integer
required
items
object[]
required